import { Center, VStack, Box, Text, HStack } from "native-base";
import { Note } from "../../types/note";
import NoteView from "./NoteView";

const NotesListView = (props: { notes: Note[] }) => {
    const notes = props.notes;
    return (
        <VStack>
            {
                notes && notes.length > 0 ? (
                    <VStack>
                        {notes.map((note, index) => (
                            <NoteView key={index} note={note}/>
                        ))}
                    </VStack>
                ) : (
                    <Text>There are no notes.</Text>
                )
            }
        </VStack>
    );
}

export default NotesListView